A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
arg
ArrayFire Functions | ArrayFire Functions by Category » Mathematical functions » Numeric functions

## Functions
array | arg (const array &in)
| C++ Interface to calculate the phase angle (in radians) of a complex array.
af_err | af_arg (af_array *out, const af_array in)
| C Interface to calculate the phase angle (in radians) of a complex array.

## Detailed Description

Calculate the phase angle (in radians) of a complex array.

## Function Documentation

## ◆ af_arg()

af_err af_arg | ( | af_array * | out,
|  | const af_array | in )

C Interface to calculate the phase angle (in radians) of a complex array.

Parameters

  [out] | out | phase angle (in radians)
  [in] | in | input array, typically complex

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ arg()

array arg | ( | const array & | in | ) |

C++ Interface to calculate the phase angle (in radians) of a complex array.

Parameters

  [in] | in | input array, typically complex

Returns
  phase angle (in radians)